class CartridgeCli < Formula
  desc "Tarantool Cartridge command-line utility"
  homepage "https://tarantool.org/"
  url "https://github.com/tarantool/cartridge-cli.git",
      tag:      "2.12.12",
      revision: "7f7efcfd4aaf7a2b4061f8424b6843a462794ed6"
  license "BSD-2-Clause"

  depends_on "go" => :build
  depends_on "mage" => :build

  def install
    system "mage", "build"
    bin.install "cartridge"
    generate_completions_from_executable(bin/"cartridge", "gen", "completion",
                                            shells:                 [:bash, :zsh],
                                            shell_parameter_format: :none,
                                            base_name:              "cartridge")
  end

  test do
    project_path = Pathname("test-project")
    project_path.rmtree if project_path.exist?
    system bin/"cartridge", "create", "--name", project_path
    assert_predicate project_path, :exist?
    assert_predicate project_path.join("init.lua"), :exist?
  end
end
